-- Work Order Tooltips
-- by Jadya - EU-Well of Eternity

local addonName, addonTable = ...

local mf

local function slashcmd()
 
 if mf then
  if mf:IsVisible() then
   mf:Hide()
  else
   mf:Show()
  end
  return
 end

 local ng = NyxGUI("1.0")

 ng:Initialize(addonName, nil, nil, { f_label_h = 12 })

 mf = ng:New(addonName, "Frame", "WorkOrderTooltip_Config", UIParent)
 ng:SetFrameMovable(mf, true)
 mf:SetPoint("CENTER")
 mf:SetSize(360, 500)
 mf:Show()

 local f = ng:New(addonName, "Button", nil, mf)
 f:SetPoint("BOTTOM", mf, "BOTTOM", 0, 10)
 f:SetText(CLOSE)
 f:SetScript("OnClick", function(self) mf:Hide() end)
 
 -- title
 mf.title = ng:New(addonName, "Label", nil, mf)
 mf.title:SetText("|cff00FF00Work Order Tooltips|r")
 mf.title:SetPoint("TOP", mf, "TOP", 0, -10)
 -- desc
 mf.desc = ng:New(addonName, "Label", nil, mf)
 mf.desc:SetText("|cffaaaaaaThis addon relies on friendly nameplates, if they are disabled in the Garrison / Class Hall no tooltips are visible|r")
 mf.desc:SetPoint("TOPLEFT", mf, "TOPLEFT", 0, -25)
 mf.desc:SetPoint("TOPRIGHT", mf, "TOPRIGHT", 0, -25)
 
 mf.title = ng:New(addonName, "Label", nil, mf, "title")
 mf.title:SetText("Nameplates Visibility:")
 mf.title:SetPoint("TOP", mf, "TOP", 0, -100)

 local radio_texts = {"On", "Off", "Don't touch"}
 
 local function radiobutton_click(self)
  WOTSaves[self.t] = self.tag
  addonTable:nameplate_var_changed(self.t, self.tag)
 end

 local function setup_group(g, t)
  for i = 1, 3 do
   local f = ng:New(addonName, "Radiobutton", nil, g)
   f:SetPoint("TOPLEFT", g, "TOPLEFT", 10, -10 - (i-1) * 20)
   f:SetText(radio_texts[i])
   f.t = t
   f.tag = i
   if WOTSaves[t] == i then
    f:SetChecked(true)
   end
   f.func = radiobutton_click
  end
 end

 local grp = ng:New(addonName, "Groupbox", nil, mf)
 grp:SetSize(310, 110)
 grp:SetPoint("TOPLEFT", mf, "TOPLEFT", 20, -145)
 grp:SetText("|cff00ff00In Garrison / Class Hall...|r")
 
 local g = ng:New(addonName, "Groupbox", nil, grp)
 g:SetSize(150, 90)
 g:SetPoint("TOPLEFT", grp, "TOPLEFT", 0, -20)
 g:SetText("Friendly Nameplates")
 
 setup_group(g, "in__friendly")
 
 g = ng:New(addonName, "Groupbox", nil, grp)
 g:SetSize(150, 90)
 g:SetPoint("TOPRIGHT", grp, "TOPRIGHT", 0, -20)
 g:SetText("Always Visible")

 setup_group(g, "in__showall")
 
 grp = ng:New(addonName, "Groupbox", nil, mf)
 grp:SetSize(310, 110)
 grp:SetPoint("TOPLEFT", mf, "TOPLEFT", 20, -280)
 grp:SetText("|cffff0000Out of Garrison / Class Hall...|r")

 g = ng:New(addonName, "Groupbox", nil, grp)
 g:SetSize(150, 90)
 g:SetPoint("TOPLEFT", grp, "TOPLEFT", 0, -20)
 g:SetText("Friendly Nameplates")
 
 setup_group(g, "out_friendly")
 
 g = ng:New(addonName, "Groupbox", nil, grp)
 g:SetSize(150, 90)
 g:SetPoint("TOPRIGHT", grp, "TOPRIGHT", 0, -20)
 g:SetText("Always Visible")

 setup_group(g, "out_showall")
 
 local f = ng:New(addonName, "SliderH", nil, mf)
 f:SetPoint("TOPLEFT", grp, "BOTTOMLEFT", 0, -30)
 f:SetText("Tooltip Scale")
 f:SetMinMaxValues(50, 100)
 f:SetValue(WOTSaves.scale and (WOTSaves.scale * 100) or 100)
 f.onValueChanged = function(self, value)
  local v = value / 100
  WOTSaves.scale = v
  addonTable:updateTooltipsScale(v)
 end
end

SLASH_WOTOOLTIP1 = "/wot"
SlashCmdList["WOTOOLTIP"] = slashcmd